# Find Details on a Place
source: https://developer.mastercard.com/places/documentation/use-cases/use-cases-2/index.md

## Find Details on a Place {#find-details-on-a-place}

The Places API can search for details on a place you're interested in, if you provide it with a specific location Id as a *required* parameter.
Diagram placesFindAPlace

The response includes a list with details such as *isNewBusiness* , *hasCashBack* and *geocodeQualityIndicator* so you can determine interesting things like:

**RESTful GET Request**


API Reference: `GET /places/{location_id}`

<br />

**RESTful Path Parameters**

```javascript
300945305
```

**RESTful Response:**

```json
{
  "merchantName": "FAMOUSFOOTWEAR#1749",
  "cleansedMerchantName": "FAMOUS FOOTWEAR #1749",
  "streetAddress": "2254 HWY K",
  "cleansedStreetAddress": "2254 HIGHWAY K",
  "cityName": "O FALLON",
  "cleansedCityName": "O FALLON",
  "stateProvinceCode": "MO",
  "cleansedStateProvinceCode": "MO",
  "postalCode": "63366",
  "cleansedPostalCode": "63368-7929",
  "countryCode": "US",
  "cleansedCountryCode": "US",
  "cleansedTelephoneNumber": "(636) 281-4068",
  "legalCorporateName": "BROWN SHOE COMPANY INC",
  "cleansedLegalCorporateName": "BROWN SHOE COMPANY INC",
  "industry": "SHS",
  "superIndustry": "AAP",
  "firstSeenWeek": "10/18/1999-10/24/1999",
  "lastSeenWeek": "11/22/1999-11/28/1999",
  "isNewBusiness": false,
  "isInBusiness7Day": true,
  "isInBusiness30Day": true,
  "isInBusiness60Day": true,
  "isInBusiness90Day": true,
  "isInBusiness180Day": true,
  "isInBusiness360Day": true,
  "hasCashBack": false,
  "hasPayAtThePump": false,
  "hasNfc": true,
  "latitude": 38.778083,
  "longitude": -90.699706,
  "geocodeQualityIndicator": "STOREFRONT",
  "primaryChannelOfDistribution": "b",
  "aggregateMerchantId": 12077,
  "aggregateMerchantName": "FAMOUS FOOTWEAR",
  "keyAggregateMerchantId": 12077,
  "parentAggregateMerchantId": "10002109",
  "parentAggregateMerchantName": "CALERES INC",
  "mccCode": "5661",
  "msaCode": "7040",
  "naicsCode": "448210",
  "dmaCode": "609",
  "cleansedMerchantUrl": "https://www.famousfootwear.com/",
  "hasApplePay": true,
  "hasAndroidPay": true,
  "hasSamsungPay": true,
  "posTerminalCount": 2,
  "payFacCount30Days": 1,
  "payFacCount60Days": 1,
  "payFacCount90Days": 1,
  "payFacCount180Days": 1,
  "payFacCount365Days": 1,
  "hasEmv": true,
  "isEcommerce": true,
  "isBrickAndMortar": true,
  "locationId": 300945305
}
```

